> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rewards

> Retrieve rewards.



## OpenAPI

````yaml /openapi/rewards.json get /v1/rewards
openapi: 3.0.1
info:
  title: Voucherify API - Rewards
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/rewards:
    get:
      tags:
        - Rewards
      summary: List Rewards
      description: Retrieve rewards.
      operationId: list-rewards
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - schema:
            $ref: '#/components/schemas/ParameterRewardAssignmentId'
          in: query
          name: assignment_id
          description: >-
            A unique reward assignment ID. Use this parameter to get the reward
            details in the context of an assignment ID.
      responses:
        '200':
          description: Returns a dictionary of reward objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardsListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - id: rew_3e7IqghVtTR7L3xQMSCxjFu2
                        name: Get $10
                        type: CAMPAIGN
                        parameters:
                          campaign:
                            id: camp_FNYR4jhqZBM9xTptxDGgeNBV
                            balance: 1000
                            type: GIFT_VOUCHERS
                        stock: null
                        redeemed: null
                        attributes: {}
                        created_at: '2022-03-10T08:40:20.917Z'
                        updated_at: '2022-08-17T07:52:56.965Z'
                        metadata: null
                        object: reward
                      - id: rew_nIy4gHpQHle2c3pNMwuj7G6j
                        name: Get 100 Points
                        type: CAMPAIGN
                        parameters:
                          campaign:
                            id: camp_E87CubZLZ8eoQt3c4kAEZsx0
                            balance: 100
                            type: LOYALTY_PROGRAM
                        stock: null
                        redeemed: null
                        attributes: {}
                        created_at: '2022-02-28T11:56:13.764Z'
                        updated_at: null
                        metadata: null
                        object: reward
                      - id: rew_BNZ3van6AF2AiquWp8Lfw0xq
                        name: 30% discount
                        type: CAMPAIGN
                        parameters:
                          campaign:
                            id: camp_ZtHLATYVpItqmuSqmaz1rZ2Y
                            type: DISCOUNT_COUPONS
                        stock: null
                        redeemed: null
                        attributes: {}
                        created_at: '2022-08-11T09:48:50.609Z'
                        updated_at: null
                        metadata: {}
                        object: reward
                      - id: rew_nlV8bgWU1jNO9YWQ7CdZmzq7
                        name: 1 point = $0.01
                        type: COIN
                        parameters:
                          coin:
                            exchange_ratio: 0.01
                            points_ratio: 1
                        stock: null
                        redeemed: null
                        attributes: {}
                        created_at: '2022-08-11T16:45:21.582Z'
                        updated_at: null
                        metadata:
                          Type: '0.01'
                        object: reward
                      - id: rew_x6FmF1KFdDs06hYPr9lK6ajf
                        name: Material Reward
                        type: MATERIAL
                        parameters:
                          product:
                            id: prod_0b7d7dfb05cbe5c616
                            sku_id: sku_0b7d7dfb090be5c619
                        stock: '4'
                        redeemed: '1'
                        attributes:
                          image_url: >-
                            https://voucherify-uploads.s3.amazonaws.com/org_2qt8DYlM/img_wJHdZUAVSpWtYM6ORq4up3I2.png
                          description: Get a Comic Book in Archie's series.
                        created_at: '2022-08-17T07:13:32.781Z'
                        updated_at: null
                        metadata:
                          Type: Personal
                        object: reward
                    total: 5
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - rewards
components:
  parameters:
    limit:
      name: limit
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterLimit'
      description: >-
        Limits the number of objects to be returned. The limit can range between
        1 and 100 items. If no limit is set, it returns 10 items.
    page:
      name: page
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterPage'
      description: Which page of results to return. The lowest value is `1`.
  schemas:
    ParameterRewardAssignmentId:
      type: string
      example: rewa_m9hEAu10KsPcLhGXiHG85aY0
    RewardsListResponseBody:
      title: Rewards List Response Body
      type: object
      description: Response body schema for **GET** `v1/rewards`.
      properties:
        object:
          type: string
          default: list
          description: The type of the object represented by JSON.
        data_ref:
          type: string
          default: data
          description: >-
            Identifies the name of the attribute that contains the array of
            transaction objects.
        data:
          type: array
          items:
            $ref: '#/components/schemas/Reward'
          description: >-
            A dictionary that contains an array of rewards. Each entry in the
            array is a separate transaction object.
        total:
          type: integer
          example: 20
          description: >-
            Returns how many rewards in the project meet the limits defined by
            the query parameter definitions.
      required:
        - object
        - data_ref
        - data
        - total
    ParameterLimit:
      type: integer
      minimum: 1
      maximum: 100
    ParameterPage:
      type: integer
      minimum: 1
      maximum: 100
    Reward:
      type: object
      title: Reward
      properties:
        id:
          type: string
          example: rew_nIy4gHpQHle2c3pNMwuj7G6j
          description: Unique reward ID, assigned by Voucherify.
        name:
          type: string
          description: Reward name.
        stock:
          type: integer
          nullable: true
          description: >-
            Configurable for **material rewards**. The number of units of the
            product that you want to share as a reward. Use this parameter to
            code a stock-taking logic.
        redeemed:
          type: integer
          nullable: true
          description: "Defines the number of already invoked (successful) reward redemptions.\t"
        attributes:
          type: object
          description: These properties are configurable for **material rewards**.
          properties:
            image_url:
              type: string
              description: The HTTPS URL pointing to the .png or .jpg file.
            description:
              type: string
              description: An arbitrary string that you can attach to a material reward.
        metadata:
          type: object
          description: >-
            The metadata object stores all custom attributes assigned to the
            reward. A set of key/value pairs that you can attach to a reward
            object. It can be useful for storing additional information about
            the reward in a structured format.
        type:
          type: string
          enum:
            - CAMPAIGN
            - COIN
            - MATERIAL
          description: Reward type.
        parameters:
          description: Defines how the reward is generated.
          allOf:
            - $ref: '#/components/schemas/RewardType'
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the reward was
            created. The value is shown in the ISO 8601 format.
          example: '2022-08-11T14:49:22.586Z'
          format: date-time
        updated_at:
          type: string
          nullable: true
          description: >-
            Timestamp representing the date and time when the reward was
            updated. The value is shown in the ISO 8601 format.
          example: '2022-08-11T16:01:34.885Z'
          format: date-time
        object:
          description: >-
            The type of the object represented by the JSON. This object stores
            information about the reward.
          default: reward
          enum:
            - reward
      required:
        - id
        - name
        - type
        - stock
        - redeemed
        - metadata
        - created_at
        - updated_at
        - object
    RewardType:
      title: Reward type
      oneOf:
        - $ref: '#/components/schemas/RewardTypeCampaign'
        - $ref: '#/components/schemas/RewardTypeCoin'
        - $ref: '#/components/schemas/RewardTypeMaterial'
    RewardTypeCampaign:
      title: Digital
      type: object
      properties:
        campaign:
          type: object
          required:
            - id
            - type
          description: Objects stores information about the campaign related to the reward.
          properties:
            id:
              type: string
              description: Unique campaign ID, assigned by Voucherify.
            balance:
              type: integer
              description: >-
                The number of points to be added to a loyalty card or the amount
                to be added to the current balance on the gift card.


                For gift cards, the value is multiplied by 100 to precisely
                represent 2 decimal places. For example, $100 amount is written
                as 10000.
            type:
              type: string
              enum:
                - DISCOUNT_COUPONS
                - GIFT_VOUCHERS
                - LOYALTY_PROGRAM
              description: Campaign type.
      required:
        - campaign
    RewardTypeCoin:
      title: Pay with Points
      type: object
      properties:
        coin:
          type: object
          required:
            - exchange_ratio
          description: >-
            Defines the ratio by mapping the number of loyalty points in
            points_ratio to a predefined cash amount in exchange_ratio.
          properties:
            exchange_ratio:
              type: number
              description: >-
                The cash equivalent of the points defined in the points_ratio
                property.
            points_ratio:
              type: integer
              description: >-
                The number of loyalty points that will map to the predefined
                cash amount defined by the exchange_ratio property.
      required:
        - coin
    RewardTypeMaterial:
      title: Material
      type: object
      properties:
        product:
          type: object
          required:
            - id
          description: Contains information about the product given as a reward.
          properties:
            id:
              type: string
              example: prod_0b7d7dfb05cbe5c616
              description: Unique product ID, assigned by Voucherify.
            sku_id:
              type: string
              nullable: true
              description: >-
                Unique SKU ID, assigned by Voucherify, of the SKU given as a
                reward.
              example: sku_0b7d7dfb090be5c619
      required:
        - product
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````